# Class Trigger

Object
CodeList<Trigger>
Trigger

All Implemented Interfaces:
  `Serializable, Comparable<Trigger>`

@UML(identifier="MI_TriggerCode", specification=ISO_19115_2) public final class Trigger extends CodeList<Trigger>
Mechanism of activation.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Trigger`
  `AUTOMATIC`
  Event due to external stimuli.
  `static final Trigger`
  `MANUAL`
  Event manually instigated.
  `static final Trigger`
  `PRE_PROGRAMMED`
  Event instigated by planned internal stimuli.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Trigger[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static Trigger`
  `valueOf(String code)`
  Returns the trigger that matches the given string, or returns a new one if none match it.
  `static Trigger[]`
  `values()`
  Returns the list of `Trigger`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### AUTOMATIC

    @UML(identifier="automatic", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Trigger AUTOMATIC
    Event due to external stimuli.

  - ### MANUAL

    @UML(identifier="manual", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Trigger MANUAL
    Event manually instigated.

  - ### PRE_PROGRAMMED

    @UML(identifier="preProgrammed", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Trigger PRE_PROGRAMMED
    Event instigated by planned internal stimuli.

- ## Method Details

  - ### values

    public static Trigger[] values()
    Returns the list of `Trigger`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public Trigger[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<Trigger>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static Trigger valueOf(String code)
    Returns the trigger that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.